GNU Radio C++ API Reference: FreqControlPanel Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
FreqControlPanel Class Reference

`#include <gnuradio/qtgui/freqcontrolpanel.h>`

## Public Slots
void | notifyAvgSlider (int val)
void | setFFTAverage (float val)
void | toggleGrid (bool en)
void | toggleAxisLabels (bool en)
void | toggleMaxHold (bool en)
void | toggleMinHold (bool en)
void | toggleFFTSize (int val)
void | toggleFFTWindow (const gr::fft::window::win_type win)
void | toggleTriggerMode (gr::qtgui::trigger_mode mode)
void | toggleStopButton ()
void | updateStopLabel (bool on)

## Signals
void | signalAvgSlider (float val)
void | signalAvg (bool en)
void | signalToggleStopButton ()

## Public Member Functions
| FreqControlPanel (FreqDisplayForm *form)
| ~FreqControlPanel () override

## Constructor & Destructor Documentation

## ◆ FreqControlPanel()

FreqControlPanel::FreqControlPanel | ( | FreqDisplayForm * | form | ) |

## ◆ ~FreqControlPanel()

FreqControlPanel::~FreqControlPanel | ( |  | ) |
| override

## Member Function Documentation

## ◆ notifyAvgSlider

void FreqControlPanel::notifyAvgSlider | ( | int | val | ) |
| slot

## ◆ setFFTAverage

void FreqControlPanel::setFFTAverage | ( | float | val | ) |
| slot

## ◆ signalAvg

void FreqControlPanel::signalAvg | ( | bool | en | ) |
| signal

## ◆ signalAvgSlider

void FreqControlPanel::signalAvgSlider | ( | float | val | ) |
| signal

## ◆ signalToggleStopButton

void FreqControlPanel::signalToggleStopButton | ( |  | ) |
| signal

## ◆ toggleAxisLabels

void FreqControlPanel::toggleAxisLabels | ( | bool | en | ) |
| slot

## ◆ toggleFFTSize

void FreqControlPanel::toggleFFTSize | ( | int | val | ) |
| slot

## ◆ toggleFFTWindow

void FreqControlPanel::toggleFFTWindow | ( | const gr::fft::window::win_type | win | ) |
| slot

## ◆ toggleGrid

void FreqControlPanel::toggleGrid | ( | bool | en | ) |
| slot

## ◆ toggleMaxHold

void FreqControlPanel::toggleMaxHold | ( | bool | en | ) |
| slot

## ◆ toggleMinHold

void FreqControlPanel::toggleMinHold | ( | bool | en | ) |
| slot

## ◆ toggleStopButton

void FreqControlPanel::toggleStopButton | ( |  | ) |
| slot

## ◆ toggleTriggerMode

void FreqControlPanel::toggleTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |
| slot

## ◆ updateStopLabel

void FreqControlPanel::updateStopLabel | ( | bool | on | ) |
| slot

The documentation for this class was generated from the following file:

- freqcontrolpanel.h